#include "mbed.h"
#include "tsi.h"
#include "acc.h"
#include "mag.h"

/* Sensors:
 *   accel [x,y,z]
 *   compas
 *   light
 *   slider 
 *   a2d[6]
 */

#define ACC_ADDR (0x1D<<1)
#define MAG_ADDR (0x1D)    // FIXME

DigitalOut led1(LED1);
DigitalOut led2(LED2);
MMA8451Q   acc(PTE25, PTE24, ACC_ADDR);
MAG3110    mag(PTE25, PTE24, MAG_ADDR);
TSISensor  tsi;

static int state = 0;

int main(int argc, char **argv)
{
	printf("Starting...\r\n");
	while (1) {
		int chr = getchar();
		putchar(chr);

		printf("tsi: [%d]\r\n",
				tsi.readDistance());
		printf("acc: [%d,%d,%d]\r\n",
				acc.getAccX(),
				acc.getAccY(),
				acc.getAccZ());
		printf("mag: [%d,%d,%d]\r\n",
				mag.getMagX(),
				mag.getMagY(),
				mag.getMagZ());

		led2 = state;
		state ^= 1;
	}
	return 0;
}
